program Burguers_2D_VF

use declara_variaveis

use escreve_resultados

use solucao_numerica

implicit none

!******************************************************************************************************

call le_dados


open(10,file=caso)


if ( nm == 1 ) call singlegrid


if ( nm /= 1 ) call multigrid


call data_e_hora


	write(10,14) dia, hora

	14 format(/,5x,'Dia = ',a12,5x,'Hora = ',a8)

	head = trim(title)//" "//trim(dia)//"'"


call mostra_dados


close (10)

note_caso = 'notepad '//caso

ver = system(note_caso) 	! lista arquivo de resultados


end program Burguers_2D_VF
